[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 k8s 도입 Project

> 업계 표준으로 자리잡은 k8s 오케이스트레이션(Container Orchestration)을 검토하고, www.hongsnet.net에 성공적으로 도입한다.

> DEMO Url : https://k8s-demo.freehongs.net/

# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | minikube 구성으로 Concept 잡기 | [GO](./MINICUBE/) | |
| 2 | minikube를 이용한 POD 배포 | [GO](./MINICUBE_POD/) | |
| 3 | k8s 설치 및 구성| [GO](./INSTALL/) | |
| 4 | Docker Swarm -> K8s로의 Migration 검토 및 검증| [GO](./MIGRATION/) | |
| 5 | www.hongsnet.net 서비스 구성 | [GO](./HONGSNET) | |

# TODO

현재 물리 Node의 정족수 부족에 따른 **K8s 고가용성 클러스터링**은 VM(Virtual Machine)으로 검증을 진행 중이다.
